Bug 71780 - (SCSI ATP870U)Various problems with atp870u.o
(SCSI ATP870U)Various problems with atp870u.o
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-18 20:20 EDT by Sam Varshavchik
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
PCI bus. (7.47 KB, text/plain)
2002-08-18 20:20 EDT, Sam Varshavchik
no flags Details
SCSI bus. (809 bytes, text/plain)
2002-08-18 20:22 EDT, Sam Varshavchik
no flags Details

  None (edit)
Description Sam Varshavchik 2002-08-18 20:20:16 EDT
Description of Problem:

For various reasons, I replaced one of two Adaptec HBAs in a server with a card
whose driver is detected as atp870u.o.  See the lspci attachment for the card
info, and the info on the remaining Adaptect HBA.  This is a card with one bus
with a wide side and a narrow side.  Is this a supported SCSI HBA in RH?

There are two problems two report in any case:

During boot, occasionally the boot freezes after printing

aec671x_detect:
ACARD AEC-671X PCI Ultra/W SCSI-3 Host Adapter: 0    IO:c000, IRQ:5.

The second problem is when the boot does proceed past the point, the SCSI CD-ROM
driver is not detected.  All the other narrow devices are detected, except for
the CD-ROM device (the wide hard disk is always detected).

The CD-ROM device is detected by the card's BIOS during POST, it's just never
seen by the kernel.

I moved the narrow cable to the remaining Adaptec HBA, and the CD-ROM drive
(together with the other narrow devices that were moved with it) reappeared.

Still collecting data to determine whether moving the narrow devices has
eliminated the random boot lockup.

Version-Release number of selected component (if applicable):

2.4.18-5-smp.
Comment 1 Sam Varshavchik 2002-08-18 20:20:49 EDT
Created attachment 71385 [details]
PCI bus.
Comment 2 Sam Varshavchik 2002-08-18 20:22:05 EDT
Created attachment 71386 [details]
SCSI bus.
Comment 3 Sam Varshavchik 2002-08-21 11:54:24 EDT
It looks like moving the narrow devices off the ATP fixes the boot issue.  So,
to summarize, when there are both narrow and wide SCSI devices, this driver

A) Hangs at boot-time initialization about 30% of the time.

B) Does not see the narrow SCSI CD-ROM device.

Comment 4 Bugzilla owner 2004-09-30 11:39:51 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.